FBGRAB(1)

NAME
fbgrab - takes a screenshot using the framebuffer device

SYNOPSIS

fbgrab [option...] png-file

fbgrab -?

DESCRIPTION

fbgrab is a wrapper around fbcat which emulates the behaviour of Gunnar Monell's fbgrab utility.

OPTIONS

fbgrab accepts the following options:

-c N
    Grab the /dev/ttyN virtual terminal.

        Note
        This option might require root privileges (or CAP_SYS_TTY_CONFIG capability).

-C N
    Switch to the /dev/ttyN virtual terminal, then wait a few seconds before grabbing it.

        Note
        This option might require root privileges (or CAP_SYS_TTY_CONFIG capability).

-d fb-device
    Use the fb-device framebuffer device.

    By default, the device name is taken from the FRAMEBUFFER environment variable. If it is unset or empty, the default is /dev/fb0.

-i
    Enable PNG interlacing.

-s N
    Sleep N seconds before making the screenshot or switching virtual terminals.

-?
    Display help and exit.

Specify png-file as “-” to write to standard output.

UNSUPPORTED OPTIONS

The following options of Gunnar Monell's fbgrab are recognized but not supported:

-f fb-dump-file

-b N

-w N

-h N

SEE ALSO

png(5), fbcat(1)